<!--
  ~ Copyright (c) 2024 LOBA
  ~ 
  ~ Permission is hereby granted, free of charge, to any person obtaining a copy of
  ~ this software and associated documentation files (the "Software"), to deal in
  ~ the Software without restriction, including without limitation the rights to
  ~ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
  ~ the Software, and to permit persons to whom the Software is furnished to do so,
  ~ subject to the following conditions:
  ~ 
  ~ The above copyright notice and this permission notice shall be included in all
  ~ copies or substantial portions of the Software.
  ~ 
  ~ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  ~ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
  ~ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
  ~ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
  ~ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  ~ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  ~ 
  ~ SPDX-License-Identifier: MIT
  ~ 
  ~ Contributors:
  ~     [name] - [contribution]
-->

<template>
    <ul class="nav nav-pills" id="pills-tab" role="tablist">
      <li v-for="tab1 in tabs" :key="tab1.id" class="nav-item" role="presentation">
        <button :class="['nav-link', { 'active': selectedTab === tab1.id }]" @click="selectTab(tab1.id)" :id="`pills-${tab1.value}-tab`" data-bs-toggle="pill" :data-bs-target="`#pills-${tab1.value}`" type="button" role="tab" :aria-controls="`pills-${tab1.value}`" aria-selected="true">{{ tab1.name }}</button>
      </li>
    </ul>
    <div class="tab-content" id="pills-tabContent">
      <template v-for="(tab, tabIndex) in tabs" :key="tab.id">
        <div :id="`pills-${tab.value}`" v-if="selectedTab === tab.id" role="tabpanel" :aria-labelledby="`pills-${tab.value}-tab`">
          <component :is="tab.component" :key="tabIndex"></component>
        </div>
      </template>
    </div>
  </template>
  
<script setup lang="ts">
  import QualityContent from '@/components/QualityContent.vue';
  import GlossaryContent from '@/components/GlossaryContent.vue';
  import PermissionsContent from '@/components/PermissionsContent.vue';
  import SchemaContent from '@/components/SchemaContent.vue';
import DatasetsContent from '../DatasetsContent.vue';
import DomainsContent from '../DomainsContent.vue';
  // import MoreInfoContent from '@/components/MoreInfoContent.vue';

  const tabs = [
    {
      id: 1,
      name: 'Rule elements',
      value: 'rule-elements',
      component: ''
    },
    {
      id: 2,
      name: 'Related Catalog',
      value: 'related-catalog',
      component: DatasetsContent
    },
    {
      id: 3,
      name: 'Domains',
      value: 'domains',
      component: DomainsContent
    },
    {
      id: 4,
      name: 'Permissions',
      value: 'permissions',
      component: PermissionsContent
    },
    {
      id: 5,
      name: 'More info',
      value: 'more-info',
      component: ''
    }
  ];

  const selectedTab = ref(tabs[0].id);
  const selectedComponent = computed(() => {
    const tab = tabs.find(tab => tab.id === selectedTab.value);
    return tab ? tab.component : null;
  });

  function selectTab(tabId: number) {
    selectedTab.value = tabId;
  }
  </script>